S7(1)

NAME
s7c - compiler for the Seed7 programming language

SYNOPSIS
s7c [ options ] source

DESCRIPTION
s7c invokes the Seed7 compiler. Seed7 is an extensible general purpose programming language. It is a higher level language compared to Ada, C/C++ and Java. Its major features include: user defined statements and operators, abstract data types, templates without special syntax, OO with interfaces and multiple dispatch, statically typed, interpreted or compiled, and portability. The documentation of Seed7 and many examples can be found in /usr/local/share/doc/seed7

OPTIONS
-?  Write Seed7 compiler usage.
-O and -O2
    Tell the C compiler to optimize.
-b  Specify the directory of the Seed7 runtime libraries (e.g.: -b ../bin ).
-e  Generate code which sends a signal, when an uncaught exception occurs. This option allows debuggers to handle uncaught Seed7 exceptions.
-g  Tell the C compiler to generate an executable with debug information. This way the debugger will refer to Seed7 source files and line numbers. To generate debug information which refers to the temporary C program the option -g-debug_c can be used.
-l  Add a directory to the include library search path (e.g.: -l ../lib ).
-ocn
    Optimize constants with level n. E.g.: -oc3 Where n is a digit between 0 and 3
-sx Suppress checks specified with x. E.g.: -sr or -sro
-tx Set runtime trace level to x. E.g.: -te

OPTIMIZATION LEVEL FOR CONSTANTS
The option -ocn can optimize constants with level n. The following optimization levels for constants are supported:
0   Do no optimizations with constants.
1   Use literals and named constants to simplify expressions (default).
2   Evaluate constant parameter expressions to simplify expressions.
3   Like -oc2 and additionally evaluate all constant expressions.

SUPPRESSED CHECKS
The option -sx can suppress checks. The checks x are specified with letters from the following list:
r   Suppress the generation of range checks for strings and arrays.
o   Suppress the generation of integer overflow checks.

TRACE LEVEL
The option -tx can set the trace level. The trace levels x are specified with letters from the following list:
e   Trace exceptions and handlers
s   Trace signals

FILES
/usr/local/share/doc/seed7/manual.txt
    Manual for the Seed7 programming language.
/usr/local/share/doc/seed7/manual.htm
    HTML version of the Seed7 manual.
/usr/local/bin/s7c
    The Seed7 compiler.
/usr/local/lib/seed7/lib
    Directory of the include libraries.
/usr/local/lib/seed7/bin
    Directory of the object libraries.

HOMEPAGE
http://seed7.sourceforge.net

AUTHOR
Seed7 was written by Thomas Mertes <thomas.mertes@gmx.at>.
This manual page was written by Thomas Mertes <thomas.mertes@gmx.at>.

SEE ALSO
s7(1)